## pvpgn 1.6.0

=== src/d2cs/Makefile ===
# Makefile for Diablo2 Control Server

basedir		= ../
commondir	= ${basedir}/common
compatdir	= ${basedir}/compat

SHELL		= /bin/sh

TOUCH		= touch

RMF		= rm -f

ECHO		= echo

TAGS		= /usr/bin/ctags

CC		= gcc
COMPILE		= ${CC} -DD2CS -DHAVE_CONFIG_H -DD2CS_DEFAULT_CONF_FILE=\"${confdir}/d2cs.conf\" -I. -I"${basedir}"
OPTIONS		= -g2 -O2 -Wall
DEBUG_OPTIONS	= -Wshadow -Wredundant-decls -Wnested-externs -Wwrite-strings -Wcast-align\
-Wstrict-prototypes -Wmissing-declarations
LINK		= ${CC} -g2 -O2 -Wall

d2cs_SBIN	= ../../sbin/d2cs
d2cs_OBJECTS	= main.o d2gs.o handle_d2gs.o serverqueue.o connection.o game.o server.o\
handle_init.o handle_d2cs.o d2charfile.o xstring.o gamequeue.o conf.o prefs.o cmdline_parse.o\
bnetd.o handle_bnetd.o s2s.o net.o d2ladder.o handle_signal.o\
${commondir}/check_alloc.o ${commondir}/hashtable.o ${commondir}/hexdump.o\
${commondir}/eventlog.o ${commondir}/list.o ${commondir}/packet.o ${commondir}/bn_type.o\
${commondir}/addr.o ${commondir}/util.o ${commondir}/queue.o ${commondir}/network.o\
${compatdir}/inet_aton.o ${compatdir}/inet_ntoa.o ${compatdir}/strdup.o ${compatdir}/strerror.o \
${compatdir}/strtoul.o ${compatdir}/strftime.o ${compatdir}/strcasecmp.o ${compatdir}/strncasecmp.o\
${compatdir}/psock.o ${compatdir}/uname.o ${compatdir}/gettimeofday.o ${compatdir}/difftime.o \
${compatdir}/pdir.o

TARGET		= ${d2cs_SBIN}
OBJECTS		= ${d2cs_OBJECTS}

.PHONY: all
all: ${TARGET} 

.PHONY: clean
clean:
	@-${RMF} core
	@-${RMF} .tags
	@-${RMF} .depend
	@-${RMF} ${SBINS}
	@-${RMF} ${OBJECTS}

.c.o:
	${COMPILE} ${OPTIONS} ${DEBUG_OPTIONS} -c $< -o $@

${d2cs_SBIN}:${d2cs_OBJECTS}
	@${RMF} $@
	${LINK} ${d2cs_OBJECTS} ${LINK_LIBS} -o $@

tags:
	@-$(TAGS) --langmap=c -f .tags *.c *.h

## pvpgn 1.6.4+20040826

=== src/d2cs/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 d2cs_SBIN	= ../../sbin/d2cs
 d2cs_OBJECTS	= main.o d2gs.o handle_d2gs.o serverqueue.o connection.o game.o server.o\
-handle_init.o handle_d2cs.o d2charfile.o xstring.o gamequeue.o conf.o prefs.o cmdline_parse.o\
+handle_init.o handle_d2cs.o d2charfile.o d2charlist.o xstring.o gamequeue.o conf.o prefs.o cmdline_parse.o\
 bnetd.o handle_bnetd.o s2s.o net.o d2ladder.o handle_signal.o\
 ${commondir}/check_alloc.o ${commondir}/hashtable.o ${commondir}/hexdump.o\
 ${commondir}/eventlog.o ${commondir}/list.o ${commondir}/packet.o ${commondir}/bn_type.o\

## pvpgn 1.8.5

=== src/bnpcap/Makefile ===
CC=gcc
CFLAGS=-g -O -W -Wall -DHAVE_CONFIG_H -I..
LDFLAGS=
LINK_LIBS=-lpcap

LINK=$(CC) $(LDFLAGS)
COMPILE=$(CC) $(CFLAGS) -c

BNPCAP_OBJS = 	bnpcap.o\
		../common/hexdump.o\
		../common/list.o\
		../common/eventlog.o\
		../common/packet.o\
		../common/bn_type.o\
		../common/util.o

all: bnpcap

bnpcap: $(BNPCAP_OBJS)
	$(LINK) -o bnpcap $(BNPCAP_OBJS) $(LINK_LIBS)

.c.o:
	${COMPILE} $< -o $@

clean:
	rm -f bnpcap $(BNPCAP_OBJS)

=== debian/changelog ===
pvpgn (1.8.5-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
      (LP #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 06 May 2022 11:14:36 -0300

pvpgn (1.8.5-3) unstable; urgency=medium

  * Declared Games Team as a Maintainer (Closes: #858690)
  * Updated URL of "pvpgn-support-1.2.tar.gz" (Closes: #908211)
  * Introduced .service file.
  * DH/compat to version 13.
  * Rules-Requires-Root: no.
  * Depends += "lsb-base".
  * Recommends += "wget".
  * Standards-Version: 4.6.0.
  * copyright: updated broken link.
  * copyright-format URL to HTTPS.
  * Updated Homepage.
  * watch: removed broken resources.
  * watch: check GitHub for new releases.
  * VCS URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Sep 2021 11:18:07 +1000

pvpgn (1.8.5-2.1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 15:02:47 -0300

pvpgn (1.8.5-2.1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:04:33 +0000

pvpgn (1.8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends to default-libmysqlclient-dev.  (Closes: #850970)
  * Switch Suggests to default-mysql-* | virtual-mysql-*.  (Closes: #848482)
  * Use secure, canonical Vcs-* URLs.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2017 00:45:35 +0100

pvpgn (1.8.5-2) unstable; urgency=low

  * Added new "autoconf.patch" to fix error in "configure.in".
  * Simplified invocation of dh_autoreconf in subdirectory: replaced
    corresponding overrides with "debian/autoreconf" file.
  * Use autotools-dev to update config.{guess,sub} (Closes: #727494):
    This is one of those rare cases when dh-autoreconf do not update
    config.{sub,guess} so we use autotools-dev in addition to
    dh-autoreconf, see #698765.
  * Removed redundant "autoconf" from Build-Depends, dh-autoreconf already
    depends on it.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Oct 2013 16:32:53 +1100

pvpgn (1.8.5-1) unstable; urgency=low

  * New upstream release [February 2009].
  * Install upstream changelog.
  * Added new watch file, based on watch written by Bart Martens.
    + lintian-override for "debian-watch-file-should-use-sf-redirector".
  * Updated Homepage URL.
  * Corrected capitalisation in short package description.
  * Standards to 3.9.4
  * Source to "3.0 (quilt)" format.
  * Debhelper & compat to version 9.
  * dh-style rules, no longer use cdbs.
  * autotools-dev --> dh-autoreconf.
  * Dropped "libmysqlclient15-dev" alternative from Build-Depends.
  * Dropped worthless upstream docs (i.g. how to build instructions etc.).
  * Build with "--with-sqlite3"; Build-Depends: +libsqlite3-dev.
  * Build with all hardening.
  * Added new patch to enable verbose build.
  * Added new patch with spelling corrections.
  * Moved man pages to "debian/man"; corrected "hyphen-used-as-minus-sign".
  * pvpgn-support-installer:
    + updated support files' archive name + downloader fixes.
    + replaced hard-coded archive name with variable.
    + added new file "ver-ix86-1.mpq" to clean-up.
    + alphabetised list of files to clean.
    + increased verbosity of file copy/remove operations.
  * init.d:
    + init.d-script-does-not-source-init-functions.
    + init.d-script-missing-lsb-description.
    + status support.
    + updated list of files from "pvpgn-support-1.2.tar.gz";
      fixed daemon start.
    + improved message about getting support files.
  * Updated URL to support files archive in README.Debian.
  * Suggests: mysql-server (Closes: #667659).
  * "bnetd.log" moved to "/var/log/pvpgn" (Closes: #578010).
  * Install logrotate config.
  * Fixed ladders directory (Closes: #578012).
  * Corrected paths (dirs should be in "/var/lib/pvpgn",
    not in "/var/lib/pvpgn/files").
  * Unbundle tinycdb:
    + added new patch to link with libcdb.
    + Build-Depends: +libcdb-dev.
    + Recommends: +tinycdb (provides `cdb`).
    - no longer install `bncdb` and its man page (use `cdb` instead).
  * "debian/copyright" to copyright-format-1.0 + audit.
  * Added myself to Uploaders.
  * Added VCS links to new repository at collab-maint.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2013 05:42:40 +1100

pvpgn (1.8.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat
    - Update deprecated 5 to 8.
  * debian/control
    - (Depends): Update deprecated debhelper 4 to 8.
    - (Homepage): New.
    - (Standards-Version): Update to 3.9.1.
    - pvpgn
      + (Depends): Add ${misc:Depends}.
      + (Suggests): Add mysql-server-5.1 (Closes: #578011).
  * debian/copyright
    - Update layout. Add FSF License preamble.
  * debian/{init.d,pvpgn-support-installer}
    - Fix bashism, patch idea thanks to Prach Pongpanich <prachpub@gmail.com>
      with the exception that use plain echo.
      (Closes: #530166).
    - Clean up extra whitespaces. Move "set -e" and variable definitions
      to the beginning of file. Prefer POSIX $(<command substitution>).
  * debian/postinst
    - Change "sh -e" to safer "set -e".
  * debian/README.Debian
    - Fix spelling typo.
  * d2dbs.8
    - Change d2cs occurrences to d2dbs (Closes: #578013).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 13:50:00 +0300

pvpgn (1.8.1-2) unstable; urgency=low

  * Move the downloaded archive to /var/lib/pvpgn instead of /tmp.(doh)
    - CVE-2008-5370 (closes: #509336)
  * Added LSB data to the init.d script.

 -- Radu Spineanu <radu@debian.org>  Sun, 21 Dec 2008 17:42:01 +0200

pvpgn (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Create data directories during postinst. (closes: #425750)

 -- Radu Spineanu <radu@debian.org>  Sun, 30 Sep 2007 14:47:18 +0300



=== debian/control ===
Source: pvpgn
Section: contrib/net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 13)
              ,default-libmysqlclient-dev
              ,libcdb-dev
              ,libpq-dev
              ,libsqlite3-dev
              ,zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://pvpgn.pro/
Vcs-Browser: https://salsa.debian.org/games-team/pvpgn
Vcs-Git: https://salsa.debian.org/games-team/pvpgn.git
Rules-Requires-Root: no

Package: pvpgn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
    ,lsb-base
Recommends: ${misc:Recommends}
    ,tinycdb
    ,wget
Conflicts: bnetd
Provides: bnetd
Suggests: fortune, default-mysql-server | virtual-mysql-server
Description: gaming server that emulates Battle.net(R)
 The server currently implements most of the same functionality as the
 real Battle.net(R) servers from Blizzard Entertainment.  You can chat,
 play games, use / commands, and things like account passwords, user
 icons, ad banners, and channel operators work too.  It is by no means
 complete, though.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
" https://github.com/pvpgn/pvpgn-server/releases \
 .*/archive/refs/tags/v?\.?(\d[\d\.]+(?:-rc\d*)?)\.tar\.gz

## Legacy sourceforge releases through QA lookup http://qa.debian.org/watch/sf.php/pvpgn.berlios
opts=uversionmangle=s/^(\d+(?:\.\d+)*\.r\d{3})$/0.0.$1/ \
 http://sf.net/pvpgn.berlios \
  (?:|.*/)pvpgn-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pvpgn 1.99.7.2.1+dfsg

=== conf/CMakeLists.txt ===
# generate the configs with proper line endings
set(OUTPUT_CONFS ad.json anongame_infos.conf address_translation.conf 
  autoupdate.conf bnalias.conf bnban.conf bnetd_default_user.plain 
  bnissue.txt bnmaps.conf bnxpcalc.conf
  bnxplevel.conf channel.conf command_groups.conf realm.conf 
  sql_DB_layout.conf supportfile.conf topics.conf 
  tournament.conf versioncheck.json icons.conf)
foreach(CONF ${OUTPUT_CONFS})
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${CONF}.in ${CMAKE_CURRENT_BINARY_DIR}/${CONF} @ONLY)
endforeach(CONF)

# generate the config files replacing the path variables
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bnetd.conf.in ${CMAKE_CURRENT_BINARY_DIR}/bnetd.conf)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/d2cs.conf.in ${CMAKE_CURRENT_BINARY_DIR}/d2cs.conf)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/d2dbs.conf.in ${CMAKE_CURRENT_BINARY_DIR}/d2dbs.conf)

if(WITH_BNETD)
  set(BNETD_CONFS bnetd.conf ad.json anongame_infos.conf address_translation.conf 
  autoupdate.conf bnalias.conf bnban.conf 
  bnetd_default_user.plain bnissue.txt bnmaps.conf  
  bnxpcalc.conf bnxplevel.conf channel.conf command_groups.conf  
  realm.conf sql_DB_layout.conf supportfile.conf topics.conf 
  tournament.conf versioncheck.json icons.conf)
endif(WITH_BNETD)

if(WITH_D2CS)
  set(D2CS_CONFS d2cs.conf anongame_infos.conf)
endif(WITH_D2CS)

if(WITH_D2DBS)
  set(D2DBS_CONFS d2dbs.conf)
endif(WITH_D2DBS)

foreach(CONF_FILE ${BNETD_CONFS} ${D2CS_CONFS} ${D2DBS_CONFS})
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CONF_FILE} DESTINATION ${SYSCONFDIR})
endforeach(CONF_FILE)

add_subdirectory(i18n)

=== lua/CMakeLists.txt ===
# copy all files from lua directory

file(GLOB DEPLOY_FILES_AND_DIRS "${PROJECT_SOURCE_DIR}/lua/*")

foreach(ITEM ${DEPLOY_FILES_AND_DIRS})
   IF( IS_DIRECTORY "${ITEM}" )
      LIST( APPEND DIRS_TO_DEPLOY "${ITEM}" )
   ELSE()
	  IF(NOT ${ITEM} MATCHES "CMakeLists.txt")
		LIST( APPEND FILES_TO_DEPLOY "${ITEM}" )
	  ENDIF(NOT ${ITEM} MATCHES "CMakeLists.txt")
   ENDIF()
endforeach()

INSTALL( FILES ${FILES_TO_DEPLOY} DESTINATION ${LOCALSTATEDIR}/lua )
INSTALL( DIRECTORY ${DIRS_TO_DEPLOY} DESTINATION ${LOCALSTATEDIR}/lua )

=== man/CMakeLists.txt ===
install(FILES bnbot.1 bnchat.1 bnetd.1 bnetd.conf.5 bnftp.1 bni2tga.1 
    bnibuild.1 bniextract.1 bnilist.1 bnpass.1 bnpcap.1 bnproxy.1 bnstat.1 
    bntext.5 bntrackd.1 tgainfo.1
    DESTINATION ${MANDIR})

=== src/CMakeLists.txt ===
#first setup the includes and link paths
include_directories(${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/src)

# the following line makes sure all targets will lookup local libraries
# when referenced by short names
link_directories(${CMAKE_BINARY_DIR}/src/common 
	${CMAKE_BINARY_DIR}/src/compat
	${CMAKE_BINARY_DIR}/src/win32)

#this is needed to be compatible with existent code
add_definitions("-DHAVE_CONFIG_H")

if(WITH_FLAG_WALL)
    add_definitions("-Wall")
endif(WITH_FLAG_WALL)

if(WITH_FLAG_ANSIPEDANTIC)
    add_definitions("-pedantic -ansi")
endif(WITH_FLAG_ANSIPEDANTIC)

if(LUA_FOUND)
    add_definitions("-DWITH_LUA")
endif(LUA_FOUND)

if(MYSQL_FOUND)
    add_definitions("-DWITH_SQL_MYSQL")
endif(MYSQL_FOUND)
if(SQLITE3_FOUND)
    add_definitions("-DWITH_SQL_SQLITE3")
endif(SQLITE3_FOUND)
if(PGSQL_FOUND)
    add_definitions("-DWITH_SQL_PGSQL")
endif(PGSQL_FOUND)

if (WITH_WIN32_GUI)
    add_definitions("-DWIN32_GUI")
endif (WITH_WIN32_GUI)

subdirs(compat common win32 bntrackd client bniutils bnpass)

if(WITH_BNETD)
    add_subdirectory(bnetd)
endif(WITH_BNETD)

if(WITH_D2CS)
    add_subdirectory(d2cs)
endif(WITH_D2CS)

if(WITH_D2DBS)
    add_subdirectory(d2dbs)
endif(WITH_D2DBS)

if(CMAKE_TESTING_ENABLED)
    add_subdirectory(test)
endif(CMAKE_TESTING_ENABLED)

=== conf/i18n/CMakeLists.txt ===
# copy all files from directory

file(GLOB DEPLOY_FILES_AND_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/*")

foreach(ITEM ${DEPLOY_FILES_AND_DIRS})
   IF( IS_DIRECTORY "${ITEM}" )
      LIST( APPEND DIRS_TO_DEPLOY "${ITEM}" )
   ELSE()
	  IF(NOT ${ITEM} MATCHES "CMakeLists.txt")
		LIST( APPEND FILES_TO_DEPLOY "${ITEM}" )
	  ENDIF(NOT ${ITEM} MATCHES "CMakeLists.txt")
   ENDIF()
endforeach()

INSTALL( FILES ${FILES_TO_DEPLOY} DESTINATION ${SYSCONFDIR}/i18n )
INSTALL( DIRECTORY ${DIRS_TO_DEPLOY} DESTINATION ${SYSCONFDIR}/i18n )

=== src/bnetd/CMakeLists.txt ===
# add aditional includes corresponding to the additional libraries bellow
include_directories(${ZLIB_INCLUDE_DIR} ${MYSQL_INCLUDE_DIR} ${LUA_INCLUDE_DIR}
  ${SQLITE3_INCLUDE_DIR} ${PGSQL_INCLUDE_DIR} ${ODBC_INCLUDE_DIR}
)

set(BNETD_SOURCES
	account.cpp account.h account_wrap.cpp account_wrap.h adbanner.cpp
	adbanner.h alias_command.cpp alias_command.h anongame.cpp
	anongame_gameresult.cpp anongame_gameresult.h anongame.h 
	anongame_infos.cpp anongame_infos.h anongame_maplists.cpp 
	anongame_maplists.h attrgroup.cpp attrgroup.h attr.h attrlayer.cpp 
	attrlayer.h autoupdate.cpp autoupdate.h channel_conv.cpp channel_conv.h 
	channel.cpp channel.h character.cpp character.h clan.cpp clan.h 
	cmdline.cpp cmdline.h command.cpp command_groups.cpp command_groups.h 
	command.h connection.cpp connection.h file.cpp file.h file_plain.cpp 
	file_plain.h friends.cpp friends.h game_conv.cpp 
	game_conv.h game.cpp game.h handle_anongame.cpp handle_anongame.h 
	handle_apireg.cpp handle_apireg.h handle_bnet.cpp handle_bnet.h 
	handle_bot.cpp handle_bot.h handle_d2cs.cpp handle_d2cs.h 
	handle_file.cpp handle_file.h handle_init.cpp handle_init.h 
	handle_irc_common.cpp handle_irc_common.h handle_irc.cpp handle_irc.h 
	handlers.h handle_telnet.cpp handle_telnet.h handle_udp.cpp 
	handle_udp.h handle_wol.cpp handle_wol.h handle_wol_gameres.cpp
    handle_wol_gameres.h helpfile.cpp helpfile.h
	ipban.cpp ipban.h irc.cpp irc.h ladder_calc.cpp ladder_calc.h ladder.cpp 
	ladder.h mail.cpp mail.h main.cpp message.cpp message.h news.cpp news.h
	output.cpp output.h prefs.cpp prefs.h quota.h realm.cpp realm.h 
	runprog.cpp runprog.h server.cpp server.h sql_common.cpp sql_common.h
	sql_dbcreator.cpp sql_dbcreator.h sql_mysql.cpp sql_mysql.h sql_odbc.cpp
	sql_odbc.h sql_pgsql.cpp sql_pgsql.h sql_sqlite3.cpp sql_sqlite3.h 
	storage.cpp storage_file.cpp storage_file.h storage.h
	storage_sql.cpp storage_sql.h support.cpp support.h
	team.cpp team.h tick.cpp tick.h timer.cpp timer.h topic.cpp topic.h 
	tournament.cpp tournament.h icons.cpp icons.h tracker.cpp tracker.h udptest_send.cpp 
	udptest_send.h versioncheck.cpp versioncheck.h watch.cpp watch.h
	anongame_wol.cpp anongame_wol.h handle_wserv.cpp handle_wserv.h
	luafunctions.cpp luafunctions.h luainterface.cpp luainterface.h 
	luaobjects.cpp luaobjects.h luawrapper.cpp luawrapper.h
	i18n.cpp i18n.h userlog.cpp userlog.h
	../win32/winmain.cpp ../win32/winmain.h
	../json/json.hpp
	)
	
set(BNETD_CONSOLE_RESOURCES
  ../win32/console_resource.h ../win32/console_resource.rc)

set(BNETD_GUI_RESOURCES
  ../win32/resource.h ../win32/resource.rc)

if(WITH_WIN32_GUI)
  add_executable(bnetd WIN32 ${BNETD_SOURCES} ${BNETD_GUI_RESOURCES})
else(WITH_WIN32_GUI)  
  add_executable(bnetd ${BNETD_SOURCES} ${BNETD_CONSOLE_RESOURCES})
endif(WITH_WIN32_GUI)

  target_link_libraries(bnetd common compat win32 ${NETWORK_LIBRARIES}
    ${ZLIB_LIBRARIES} ${MYSQL_LIBRARIES} ${SQLITE3_LIBRARIES} ${PGSQL_LIBRARIES} ${ODBC_LIBRARIES} ${LUA_LIBRARIES})
  install(TARGETS bnetd DESTINATION ${SBINDIR})

=== src/bniutils/CMakeLists.txt ===
add_executable(bnilist bnilist.cpp fileio.cpp fileio.h tga.cpp tga.h)
target_link_libraries(bnilist common compat)

add_executable(bni2tga bni2tga.cpp fileio.cpp fileio.h)
target_link_libraries(bni2tga common)

add_executable(bniextract bniextract.cpp fileio.cpp fileio.h tga.cpp tga.h bni.cpp bni.h)
target_link_libraries(bniextract common compat)

add_executable(bnibuild bnibuild.cpp fileio.cpp fileio.h bni.cpp bni.h tga.cpp tga.h)
target_link_libraries(bnibuild common compat)

add_executable(tgainfo tgainfo.cpp fileio.cpp fileio.h tga.cpp tga.h)
target_link_libraries(tgainfo common compat)

install(TARGETS bnilist bni2tga bniextract bnibuild tgainfo DESTINATION ${BINDIR})

=== src/bnpass/CMakeLists.txt ===
add_executable(bnpass bnpass.cpp)
target_link_libraries(bnpass common compat)

add_executable(sha1hash sha1hash.cpp)
target_link_libraries(sha1hash common compat)

install(TARGETS bnpass sha1hash DESTINATION ${BINDIR})

=== src/bntrackd/CMakeLists.txt ===
add_executable(bntrackd bntrackd.cpp)
target_link_libraries(bntrackd common compat ${NETWORK_LIBRARIES})
install(TARGETS bntrackd DESTINATION ${SBINDIR})

=== src/client/CMakeLists.txt ===
add_executable(bnchat bnchat.cpp client.cpp client.h client_connect.cpp 
	client_connect.h udptest.cpp udptest.h ansi_term.h)
target_link_libraries(bnchat common compat ${NETWORK_LIBRARIES})

add_executable(bnftp bnftp.cpp client.cpp client.h)
target_link_libraries(bnftp common compat ${NETWORK_LIBRARIES})

add_executable(bnbot bnbot.cpp client.cpp client.h)
target_link_libraries(bnbot common compat ${NETWORK_LIBRARIES})

add_executable(bnstat bnstat.cpp client.cpp client.h client_connect.cpp 
	client_connect.h udptest.cpp udptest.h)
target_link_libraries(bnstat common compat ${NETWORK_LIBRARIES})

install(TARGETS bnchat bnftp bnbot bnstat DESTINATION ${BINDIR})

=== src/common/CMakeLists.txt ===
set(COMMON_SOURCES
	addr.cpp addr.h anongame_protocol.h asnprintf.cpp asnprintf.h 
	bnethashconv.cpp bnethashconv.h bnethash.cpp bnethash.h bnet_protocol.h 
	bnettime.cpp bnettime.h bn_type.cpp bn_type.h bot_protocol.h conf.cpp 
	conf.h d2char_checksum.cpp d2char_checksum.h d2char_file.h 
	d2cs_bnetd_protocol.h d2cs_d2dbs_ladder.h d2cs_d2gs_character.h 
	d2cs_d2gs_protocol.h d2cs_protocol.h d2game_protocol.h elist.h 
	eventlog.cpp eventlog.h fdwatch.cpp fdwatch_epoll.cpp fdwatch_epoll.h
	fdwatch.h fdwatch_kqueue.cpp fdwatch_kqueue.h fdwatch_poll.cpp 
	fdwatch_poll.h fdwatch_select.cpp fdwatch_select.h fdwbackend.cpp 
	fdwbackend.h field_sizes.h file_protocol.h flags.h 
	give_up_root_privileges.cpp give_up_root_privileges.h hashtable.cpp 
	hashtable.h hash_tuple.hpp hexdump.cpp hexdump.h init_protocol.h introtate.h 
	irc_protocol.h list.cpp list.h lstr.h make_unique.hpp network.cpp network.h 
	packet.cpp packet.h proginfo.cpp proginfo.h queue.cpp queue.h rcm.cpp rcm.h 
	rlimit.cpp rlimit.h scoped_array.h scoped_ptr.h setup_after.h 
	setup_before.h systemerror.cpp systemerror.h tag.cpp tag.h token.cpp 
	token.h tracker.h trans.cpp trans.h udp_protocol.h util.cpp util.h 
	version.h wolhash.cpp wolhash.h xalloc.cpp xalloc.h xstr.cpp xstr.h 
	xstring.cpp xstring.h gui_printf.h gui_printf.cpp 
	bigint.cpp bigint.h bnetsrp3.cpp bnetsrp3.h peerchat.cpp peerchat.h
    wol_gameres_protocol.h
	format.cc format.h pugiconfig.h pugixml.cpp pugixml.h)
add_library(common
  ${COMMON_SOURCES}
)

=== src/d2cs/CMakeLists.txt ===
set(D2CS_SOURCES
	bit.h bnetd.cpp bnetd.h cmdline.cpp cmdline.h connection.cpp 
	connection.h d2charfile.cpp d2charfile.h d2charlist.cpp d2charlist.h 
	d2gs.cpp d2gs.h d2ladder.cpp d2ladder.h game.cpp game.h gamequeue.cpp 
	gamequeue.h handle_bnetd.cpp handle_bnetd.h handle_d2cs.cpp 
	handle_d2cs.h handle_d2gs.cpp handle_d2gs.h handle_init.cpp 
	handle_init.h handle_signal.cpp handle_signal.h main.cpp net.cpp 
	net.h prefs.cpp prefs.h s2s.cpp s2s.h server.cpp server.h 
	serverqueue.h serverqueue.cpp setup.h version.h ../win32/d2cs_winmain.cpp 
	../win32/d2cs_resource.h ../win32/d2cs_resource.rc)

if(WITH_WIN32_GUI)
  add_executable(d2cs WIN32 ${D2CS_SOURCES})
else(WITH_WIN32_GUI)
  add_executable(d2cs ${D2CS_SOURCES})
endif(WITH_WIN32_GUI)

target_link_libraries(d2cs common compat win32 ${NETWORK_LIBRARIES})
install(TARGETS d2cs DESTINATION ${SBINDIR})

=== debian/changelog ===
pvpgn (1.99.7.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with CMake 4 (Closes: #1113669)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 13:20:39 +0200

pvpgn (1.99.7.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Butcher-out "-march=native -mtune=native" from build (Closes: #1101051)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Mar 2025 19:21:50 +0100

pvpgn (1.99.7.2.1+dfsg-1) unstable; urgency=medium

  * Team Upload
  * Fix postinst script (Closes: #1034249)
  * Reformat d/control with debputy
  * d/copyright: add short aliases to licenses
  * Rename maintainer scripts for DebHelper 14/15 compatibility

  [Lena Voytek]
  * Fix FTBFS induced by GCC-15 (Closes: #1066953)

  [ Dmitry Smirnov ]
  * New upstream release [July 2018].
  * Build-Depends += "cmake".

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Mar 2025 12:57:05 +0100

=== debian/control ===
Source: pvpgn
Section: contrib/net
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 default-libmysqlclient-dev,
 libcdb-dev,
 libpq-dev,
 libsqlite3-dev,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://pvpgn.pro/
Vcs-Browser: https://salsa.debian.org/games-team/pvpgn
Vcs-Git: https://salsa.debian.org/games-team/pvpgn.git
X-Style: black

Package: pvpgn
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 tinycdb,
 wget,
 ${misc:Recommends},
Conflicts:
 bnetd,
Provides:
 bnetd,
Suggests:
 default-mysql-server | virtual-mysql-server,
 fortune,
Description: gaming server that emulates Battle.net(R)
 The server currently implements most of the same functionality as the
 real Battle.net(R) servers from Blizzard Entertainment.  You can chat,
 play games, use / commands, and things like account passwords, user
 icons, ad banners, and channel operators work too.  It is by no means
 complete, though.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --
            -DCMAKE_VERBOSE_MAKEFILE=ON \
            -DCMAKE_BUILD_TYPE=Release  \
            -DWITH_MYSQL=true \
            -DWITH_SQLITE3=true \
            -DWITH_PGSQL=true \
            -DWITH_LUA=true \
            -DCMAKE_INSTALL_PREFIX=/ \
            -DCMAKE_INSTALL_SYSCONFDIR=/etc \
            -DLOCALSTATE_INSTALL_DIR=/var/lib/pvpgn \
            -G "Unix Makefiles"

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs version-history.txt

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
" https://github.com/pvpgn/pvpgn-server/tags \
 .*/archive/refs/tags/v?\.?(\d[\d\.]+(?:-rc\d*)?)\.tar\.gz

## Legacy sourceforge releases through QA lookup http://qa.debian.org/watch/sf.php/pvpgn.berlios
#opts=uversionmangle=s/^(\d+(?:\.\d+)*\.r\d{3})$/0.0.$1/ \
# http://sf.net/pvpgn.berlios \
#  (?:|.*/)pvpgn-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
